Bug 1878452 - HyperX Cloud II USB headset pulseaudio profiles are limited until pulseaudio is killed and restarted
Summary: HyperX Cloud II USB headset pulseaudio profiles are limited until pulseaudio ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-13 03:19 UTC by John Kwiatkoski
Modified: 2021-05-25 17:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:58:38 UTC
Type: Bug


Attachments (Terms of Use)
incomplete list of profiles (12.57 KB, image/png)
2020-09-13 03:19 UTC, John Kwiatkoski
no flags Details
desired options for profiles (27.40 KB, image/png)
2020-09-13 03:20 UTC, John Kwiatkoski
no flags Details

Description John Kwiatkoski 2020-09-13 03:19:36 UTC
Created attachment 1714664 [details]
incomplete list of profiles

Description of problem:

When USB headset(HyperX Cloud II) is plugged in, the audio device profile options listed in audio settings only list a subset of selectable profiles.


None of those offer simultaneous input and output. If I restart pulseaudio using the following commands:

`pulseaudio --kill`
`pulseaudio --start`

After killing pulseaudio I can see more profiles as options.

Version-Release number of selected component (if applicable):
pulseaudio 13.99.1-rebootstrapped


How reproducible:

Always

Steps to Reproduce:
1. Unplug and re-plug USB headset
2. View audio profiles available in "Audio" -> "advanced" settings
3. pulseaudio --kill
4. pulseaudio --start
5. View new profile options

Actual results:

Only the following profiles are available:


- "Stereo Input"
- "Multichannel Input"
- "Analog Stereo Output"
- "Off"

Expected results:

List the full options for profiles.

- "Analog Stereo Input"
- "Digital Stereo Input"
- "Analog Stereo Output"
- "Analog Stereo Duplex"
- "Analog Stereo Output + Digital Stereo (IEC958)..."
- "Digital Stereo (IEC958) Output"
- "Digital Stereo (IEC958) Output + Analog Stereo I.."
- "Digital Stereo Duplex (IEC958)"
- "Off"


Additional info:

Using KDE Plasma:
plasma-systemsettings-5.18.5-1.fc32.x86_64


journalctl --system output during a re-plugin of the headset

Sep 12 22:48:59 localhost.localdomain kernel: usb 1-1: new full-speed USB device number 11 using xhci_hcd
Sep 12 22:49:00 localhost.localdomain kernel: usb 1-1: New USB device found, idVendor=0951, idProduct=16a4, bcdDevice= 0.30
Sep 12 22:49:00 localhost.localdomain kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 12 22:49:00 localhost.localdomain kernel: usb 1-1: Product: HyperX Virtual Surround Sound
Sep 12 22:49:00 localhost.localdomain kernel: usb 1-1: Manufacturer: Kingston
Sep 12 22:49:00 localhost.localdomain kernel: usb 1-1: SerialNumber: 00000000
Sep 12 22:49:00 localhost.localdomain kernel: input: Kingston HyperX Virtual Surround Sound Consumer Control as /devices/pci0000:00/0000:00:01.3/0000:03:00.0/usb1/1-1/1-1:1.3/0003:0951:16A4.000B/input/input43
Sep 12 22:49:00 localhost.localdomain kernel: input: Kingston HyperX Virtual Surround Sound as /devices/pci0000:00/0000:00:01.3/0000:03:00.0/usb1/1-1/1-1:1.3/0003:0951:16A4.000B/input/input44
Sep 12 22:49:00 localhost.localdomain kernel: hid-generic 0003:0951:16A4.000B: input,hiddev97,hidraw5: USB HID v1.11 Device [Kingston HyperX Virtual Surround Sound] on usb-0000:03:00.0-1/input3
Sep 12 22:49:00 localhost.localdomain mtp-probe[34290]: checking bus 1, device 11: "/sys/devices/pci0000:00/0000:00:01.3/0000:03:00.0/usb1/1-1"
Sep 12 22:49:00 localhost.localdomain mtp-probe[34290]: bus: 1, device: 11 was not an MTP device
Sep 12 22:49:00 localhost.localdomain mtp-probe[34308]: checking bus 1, device 11: "/sys/devices/pci0000:00/0000:00:01.3/0000:03:00.0/usb1/1-1"
Sep 12 22:49:00 localhost.localdomain mtp-probe[34308]: bus: 1, device: 11 was not an MTP device

Comment 1 John Kwiatkoski 2020-09-13 03:20:55 UTC
Created attachment 1714665 [details]
desired options  for profiles

Comment 2 John Kwiatkoski 2020-09-13 03:24:20 UTC
similar issue posted to here on ubuntu with a manual workaround that isn't much better than pulseaudio restart.

https://askubuntu.com/questions/517665/how-to-i-get-the-right-pulseaudio-profiles-to-show-up-without-restarting-pulseau

Comment 3 Fedora Program Management 2021-04-29 17:11:26 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-05-25 17:58:38 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.